package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.CUSTOMERSearchContext;

/**
 * 实体 [客户] 存储模型
 */
public interface CUSTOMER{

    /**
     * 客户类型
     */
    String getKhlx();

    void setKhlx(String khlx);

    /**
     * 获取 [客户类型]脏标记
     */
    boolean getKhlxDirtyFlag();
    /**
     * 证件类型
     */
    String getZjlx();

    void setZjlx(String zjlx);

    /**
     * 获取 [证件类型]脏标记
     */
    boolean getZjlxDirtyFlag();
    /**
     * 客户标识
     */
    String getCUSTOMERId();

    void setCUSTOMERId(String cUSTOMERId);

    /**
     * 获取 [客户标识]脏标记
     */
    boolean getCUSTOMERIdDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 性别
     */
    String getXb();

    void setXb(String xb);

    /**
     * 获取 [性别]脏标记
     */
    boolean getXbDirtyFlag();
    /**
     * 客户名称
     */
    String getCUSTOMERName();

    void setCUSTOMERName(String cUSTOMERName);

    /**
     * 获取 [客户名称]脏标记
     */
    boolean getCUSTOMERNameDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 出生年月
     */
    Timestamp getCsny();

    void setCsny(Timestamp csny);

    /**
     * 获取 [出生年月]脏标记
     */
    boolean getCsnyDirtyFlag();
    /**
     * 证件号码
     */
    String getZjhm();

    void setZjhm(String zjhm);

    /**
     * 获取 [证件号码]脏标记
     */
    boolean getZjhmDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 年龄
     */
    Integer getNl();

    void setNl(Integer nl);

    /**
     * 获取 [年龄]脏标记
     */
    boolean getNlDirtyFlag();
    /**
     * 车险单标识
     */
    String getCIDId();

    void setCIDId(String cIDId);

    /**
     * 获取 [车险单标识]脏标记
     */
    boolean getCIDIdDirtyFlag();
}
